<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/white_bg"
    android:overScrollMode="never">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="35sp"
            android:layout_height="35sp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="15dp"
            android:contentDescription="@string/back_button"
            android:padding="5dp"
            android:paddingStart="-15dp"
            android:paddingEnd="0dp"
            android:src="@drawable/arrow_back" />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_below="@id/back_btn"
            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/activity"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

            android:gravity="top"

            android:textColor="@color/black"

            />

        <TextView
            android:id="@+id/today_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/title"

            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:fontFamily="@font/nunito_semibold"
            android:text="@string/march_16"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black"

            />

        <LinearLayout
            android:id="@+id/dates"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/today_date"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:orientation="horizontal"
            android:weightSum="7">

            <LinearLayout
                android:id="@+id/day"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_weight="1"
                android:background="@drawable/round_corners"
                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp">

                <TextView
                    android:id="@+id/day_t1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/sun"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day_t2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginHorizontal="5dp"
                android:layout_weight="1"
                android:background="@drawable/round_corners"

                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day2_t1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/mon"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day2_t2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day3"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:background="@drawable/round_corners"

                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day3_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/tue"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day3_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day4"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:background="@drawable/round_corners"

                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day4_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/wed"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day4_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day5"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:background="@drawable/round_corners"

                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day5_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/thu"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day5_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day6"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:background="@drawable/round_corners"

                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day6_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/fri"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day6_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/day7"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_weight="1"
                android:background="@drawable/round_corners"
                android:gravity="center_horizontal"

                android:orientation="vertical"

                android:paddingVertical="15dp"

                >

                <TextView
                    android:id="@+id/day7_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:fontFamily="@font/nunito_regular"
                    tools:text="@string/sat"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    />

                <TextView
                    android:id="@+id/day7_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginVertical="5dp"
                    android:fontFamily="@font/nunito_semibold"
                    tools:text="12"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:textColor="@color/black"

                    />

                <ImageView
                    android:layout_width="5dp"
                    android:layout_height="5dp"

                    android:src="@drawable/ic_white_dot"

                    app:tint="@color/white_bg" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"

            android:layout_below="@id/dates"

            android:layout_centerHorizontal="true"

            android:layout_marginHorizontal="25dp"

            android:background="@android:color/darker_gray"

            />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_below="@id/divider"
            android:layout_centerHorizontal="true"

            android:overScrollMode="never">

            <LinearLayout
                android:id="@+id/no_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/img"
                    android:layout_width="150dp"
                    android:layout_height="150dp"
                    android:contentDescription="@string/medication_reminder"

                    android:src="@drawable/ic_routine_img" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"

                    android:layout_marginVertical="25dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:layout_gravity="center_horizontal"
                        android:fontFamily="@font/nunito_semibold"
                        android:text="@string/you_don_t_have_any_routines_reminder"
                        android:textAlignment="center"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

                        android:textColor="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:layout_gravity="center_horizontal"
                        android:layout_marginVertical="15dp"
                        android:fontFamily="@font/nunito_regular"
                        android:text="@string/please_click_on_add_button_to_add_routine_reminder"
                        android:textAlignment="center"

                        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                        android:textColor="#5B5B5B" />

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/routine_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"

            android:layout_below="@id/divider"
            android:layout_marginTop="5dp"
            android:overScrollMode="never"
            android:visibility="gone"

            android:layout_marginBottom="15dp"

            android:paddingBottom="120dp"
            android:paddingTop="0dp"

            android:clipToPadding="false"
            />

        <com.google.android.material.imageview.ShapeableImageView
            android:id="@+id/add_routine"
            android:layout_width="50dp"
            android:layout_height="50dp"

            android:layout_alignParentEnd="true"
            android:layout_marginHorizontal="15dp"

            android:layout_marginBottom="5dp"
            android:background="@drawable/round_corners"

            android:backgroundTint="@color/color_primary"
            android:elevation="5dp"
            app:srcCompat="@drawable/ic_plus_sign"

            app:contentPadding="10dp"

            app:tint="@color/white_bg"

            android:layout_above="@id/done"

            />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/done"
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="5dp"
            android:text="@string/done_btn"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"

            android:paddingVertical="15dp"

            app:backgroundTint="@color/color_primary"
            app:cornerRadius="10dp"

            android:drawableEnd="@drawable/ic_forward_error"
            android:drawableTint="@color/white"

            android:layout_alignParentBottom="true"
            />

    </RelativeLayout>

</RelativeLayout>